package com.pcloud.book.book.dto;

import com.pcloud.common.entity.BaseEntity;

import java.util.List;

/**
 * 书刊渠道信息Dto
 *
 * @version 1.0
 * @author:lihao
 * @date 创建时间：2017年7月10日 下午3:22:42
 */
public class BookChannelDto extends BaseEntity {
    /**
     * 序列化
     */
    private static final long serialVersionUID = -8166358767669167662L;
    /**
     * 代理标识
     */
    private Long channelId;
    /**
     * 代理名称
     */
    private String channelName;
    /**
     * 编辑信息
     */
    private List<BookAdviserDto> adviserList;

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public List<BookAdviserDto> getAdviserList() {
        return adviserList;
    }

    public void setAdviserList(List<BookAdviserDto> adviserList) {
        this.adviserList = adviserList;
    }

    @Override
    public String toString() {
        return "BookChannelDto [channelId=" + channelId + ", channelName=" + channelName + ", adviserList="
                + adviserList + "]";
    }


}
